
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Mac 下 java环境 maven环境配置 / 憋错料</title>

    <meta name="description" content="Mac 下 java环境 maven环境配置 在mac下配置了java环境和maven环境,发现网上的配置方法各有不同,尝试了各种,现在记录下我配置后总结的方法 java环境配置 1. 下载jdk,按照提示安装 我下的是1.8.0版本,下载地址:http://www.oracle.com/technetwork/java/javase/downloads/jdk8-downloads-2133151.html 2.查看安装的 JDK 以及路径 命令行终端输入 : /usr/libexec/java_home -V //查看安装的 JDK 以">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">Mac 下 java环境 maven环境配置</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>在mac下配置了java环境和maven环境，发现网上的配置方法各有不同，尝试了各种，现在记录下我配置后总结的方法</p>
<h1>java环境配置</h1>
<h2>1. 下载jdk，按照提示安装</h2>
<p>我下的是1.8.0版本，下载地址：<a href="http://www.oracle.com/technetwork/java/javase/downloads/jdk8-downloads-2133151.html" rel="external nofollow noreferrer">http://www.oracle.com/technetwork/java/javase/downloads/jdk8-downloads-2133151.html</a></p>
<h2>2.查看安装的 JDK 以及路径</h2>
<p>命令行终端输入 ：</p>
<pre>/usr/libexec/java_home -V    ／／查看安装的 JDK 以及路径</pre>
<p>输出：</p>
<pre>Matching Java Virtual Machines (1):

    1.8.0_111, x86_64: "Java SE 8" /Library/Java/JavaVirtualMachines/jdk1.8.0_111.jdk/Contents/Home</pre>

<pre>则 /Library/Java/JavaVirtualMachines/jdk1.8.0_111.jdk/Contents/Home 就是jdk的安装路径。</pre>
<h2>3.配置JAVA_HOME</h2>
<p>终端输入：</p>
<pre>1. cd ~                         //进入用户根目录
2. touch .bash_profile
3. vim .bash_profile  //编辑.bash_profile
4. 在insert模式中输入：
   export JAVA_HOME=‘/Library/Java/JavaVirtualMachines/jdk1.8.0_111.jdk/Contents/Home‘
   export PATH=${JAVA_HOME}/bin:$PATH
5. 按esc退出insert模式，输入:wq保存退出
6. source .bash_profile //更新配置文件</pre>

<h2>4.此时，java开发环境就配置好了</h2>
<p>终端输入：echo $JAVA_HOME，如果输出了刚才配置的路径，则说明已经配置成功。</p>
<p>ps:必须说明，这种配置方法只适用于用户<a href="https://www.baidu.com/s?wd=%E7%8E%AF%E5%A2%83%E5%8F%98%E9%87%8F&amp;tn=44039180_cpr&amp;fenlei=mv6quAkxTZn0IZRqIHckPjm4nH00T1Y3nA7bmWnsnWIBnyNWPW00IAYqnWm3PW64rj0d0AP8IA3qPjfsn1bkrjKxmLKz0ZNzUjdCIZwsrBtEXh9GuA7EQhF9pywdQhPEUiqkIyN1IA-EUBtzPjnLP1bYP1fLn1D4P1TYnjf" rel="external nofollow noreferrer">环境变量</a>，如果系统更新，之前的配置可能失效，如果想要永久改变需要配置在/etc目录下的profile文件中</p>
<pre></pre>
<h1>maven环境配置</h1>
<h2>1. 下载Maven：</h2>
<p><a href="http://maven.apache.org/download.cgi" rel="external nofollow noreferrer">http://maven.apache.org/download.cgi</a></p>
<h2>2. 将下载的maven解压到相应目录</h2>
<p>本机目录在 &nbsp;/Users/zhang/Documents/apache-maven-3.3.9下</p>
<h2>3.将上述目录仍然配置在 ~/.bash_profile中</h2>

<pre>1. vim ~/.bash_profile
2. 输入
   export MAVEN_HOME=/Users/zhang/Documents/apache-maven-3.3.9
   export PATH=${MAVEN_HOME}/bin:$PATH
3.保存后退出
4. source .bash_profile</pre>

<h2>4.此时，maven环境就配置好了，测试一下</h2>
<p>输入：mvn -v</p>
<p>输出：</p>
<pre>Apache Maven 3.3.9 (bb52d8502b132ec0a5a3f4c09453c07478323dc5; 2015-11-11T00:41:47+08:00)

Maven home: /Users/zhang/Documents/apache-maven-3.3.9

Java version: 1.8.0_111, vendor: Oracle Corporation

Java home: /Library/Java/JavaVirtualMachines/jdk1.8.0_111.jdk/Contents/Home/jre

Default locale: zh_CN, platform encoding: UTF-8

OS name: "mac os x", version: "10.12.2", arch: "x86_64", family: "mac"</pre>
<p>这样就说明maven环境和java环境都配置好啦</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 05:03:45 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/content/" title="content">content</a>, <a href="https://www.biecuoliao.com/tag/etc/" title="etc">etc</a>, <a href="https://www.biecuoliao.com/tag/%e6%b5%8b%e8%af%95/" title="测试">测试</a>, <a href="https://www.biecuoliao.com/tag/%e8%b7%af%e5%be%84/" title="路径">路径</a>, <a href="https://www.biecuoliao.com/tag/tar/" title="tar">tar</a>, <a href="https://www.biecuoliao.com/tag/baidu/" title="baidu">baidu</a>, <a href="https://www.biecuoliao.com/tag/%e6%80%bb%e7%bb%93/" title="总结">总结</a>, <a href="https://www.biecuoliao.com/tag/0-12/" title="0&period;12">0&period;12</a>, <a href="https://www.biecuoliao.com/tag/%e7%8e%af%e5%a2%83%e9%85%8d%e7%bd%ae/" title="环境配置">环境配置</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>Mac 下 java环境 maven环境配置的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3ZAolD0.html" rel="bookmark">Mac下搭建php开发环境&lbrack;翻译&rsqb;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原英文链接:http://www.codeweblog.com/mac-os-x-to-configure-apache-php-mysql/ Mac OS X 内置了Apache 和 PHP,这样使用起来非常方便.本文以Mac OS X 10.6.3为例.主要内容包括: 启动Apache 运行PHP 安装MySQL 使用phpMyAdmin 配置PHP的MCrypt扩展库 设置虚拟主机 启动Apache 有两种方法: 打开&quot;系统设置偏好(System Preferences)&quot; -&			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0d58AZ3.html" rel="bookmark">MAC下搭建PHP&sol;LNMP环境</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				MAC下搭建PHP/LNMP环境 由于Mac自带的PHP不支持PHP扩展.Mac自带apache不能优雅的install/remove.Mac自带的PHP版本比较陈旧.首先要做的就是升级PHP版本 工欲善其事必先利其器,安装Homebrew what?homebrew是OS X 不可或缺的套件管理器,类似于ubuntu下apt-get,Red hat的yum.传送门 : Homebrew安装简单 /usr/bin/ruby -e &quot;$(curl -fsSL https://raw.githubu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MGnejG4.html" rel="bookmark">mac 下搭建 Android 开发环境</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				因工作需要,要在mac 下搭建 Android 开发环境.谷歌.度娘了好久,没有找个一个完整又系统的方法,很是苦恼.最终,皇天不负有心人,找到了下面这篇文档,特此记录.也为有这方面需求的朋友提供个方便. 首先我们需要知道开发安卓的环境由以下几个组件组成:Java虚拟机JDK.Eclipse.Eclipse插件ADT(Android Developer Tool)和Android开发包SDK.下面就和大家一起学习如何来快速的,适合新手的搭建方式吧! 方法/步骤 因为系统自带jdk,所以就不用在下载			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0e8EkvM.html" rel="bookmark">mac 下 react Native android环境搭建</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.参考  上一篇的博客文章 &quot;mac 下 react Native ios环境搭建&quot;,前面几步都是必须的,只是,原生客户端不一致 2.Android Studio的安装 A:安装JAVA的SDK 注意:Android Studio需要Java Development Kit [JDK] 1.8或更高版本.你可以在命令行中输入 javac -version来查看你当前安装的JDK版本.如果版本不合要求,可以到 官网上下载 B:除非特别注明,请不要改动安装过程中的选项.比如Android			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0dj7BB4.html" rel="bookmark">Android自动化第一篇：Mac下的Eclipse&plus;Pydev 环境搭建</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				开始了我的自动化之路 首先安装环境,参考下文 转自 http://www.51testing.com/html/46/n-848346.html http://www.51testing.com/html/46/n-848346-2.html 安装时出现问题解决: Mac环境下eclipse插件pydev安装失败的解决办法 1. 打开eclipse2. 选择install new software3. 输入pydev, http://pydev.org/updates/4. 根据向导安装5. 重			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4p8ZDg4.html" rel="bookmark">记录--mac下终端内的环境变量问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一直使用的是前几年买的MacBook Air,当时感觉很轻薄,外观也非常的好看,也是一直用到现在,大概有三四年了,系统还是很流畅(实话,不是打广告......).平时也是经常要使用mac的终端,说实话,自从用了mac的终端,基本上跟linux的命令一样得心应手,再使用windows下的cmd就感觉很别扭,上去就打ls,windows是dir,当然有些命令还是相同的,比如mkdir. 好了,其他的就不多说了,这次出现的问题主要是这一段时间使用mac的终端的时候,发现配置的环境变量总是莫名其妙失效,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MVRxQ1M.html" rel="bookmark">搭建Mac下的cocos2dx3&period;2环境</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				搭建Mac下的cocos2dx3.2环境 1.下载着四个包 2.打开Mac的终端进入cocos2dx3.2目录输入./setup.py 3.分别输入对应DNK,SDK,ANT的路径 易错点: -&gt;Error: &quot;/Users/Nyist-MacBook/Desktop/Amorming/apache-ant-1.9.4&quot; is not a valid path of ANT_ROOT. Ignoring it. 路径选择到ant包里的bin文件夹 然后输入 cocos new -			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/M6BGzvM.html" rel="bookmark">mac下安装c&plus;&plus;开发环境</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				mac下安装c++开发环境 1 注册apple id 按照apple注册步骤注册apple id,我注册时遇到如下问题 apple store完成创建apple id步骤中,选择付款方式和账单地址后,总会提示&quot;如需帮助,请联系itune支持&quot;,进而导致apple store无法下载软件 解决办法为: https://support.apple.com/zh-cn/itunes,在该页面提交问题描述给apple技术支持,描述问题及apple id,三个工作日左右给出答复. 2 安装xco			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MPLazyM.html" rel="bookmark">Mac下多版本python环境搭建</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Anaconda 最近发现Anaconda很好用.这里有篇关于如何使用的文章 pyenv pyenv是多版本的python管理器,可以让多个版本的python环境共存.如pypy,python2,python3等等 安装 1 $ brew install pyenv 或者 1 2 3 4 5 $ git clone https://github.com/yyuu/pyenv.git ~/.pyenv $ echo 'export PYENV_ROOT=&quot;$HOME/.pyenv&quot;' &			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/k0nEGVM.html" rel="bookmark" class="title">Windows程序员必须知道的字符编码和字符集</a>
					<div>
						 字符编码 (Character encoding) 在存储和传递文本过程中,为了使得所有电脑都能够正确的识别出文本内容,需要有一个统一的规则. 2. 字符集 (Character Set) ) 一般 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/x0dDjZ0.html" rel="bookmark" class="title">短视频创新的一把火从C端烧B端 趣拍云动图功能重磅发布</a>
					<div>
						最近,&quot;小视频&quot;在微信朋友圈流行了起来. 在12月12日发布的最新版本微信中,朋友圈小视频的时长从6秒延长至10秒.除此之外,用户可以在朋友圈中分享相册当中的视频.如果时长超过10 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/v0k8Dl3.html" rel="bookmark" class="title">《DSP using MATLAB》示例Example 6&period;20</a>
					<div>
											</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3vEvwa0.html" rel="bookmark" class="title">Linux系统下Git操作命令整理</a>
					<div>
						1.显示当前的配置信息 git config --list 2. 创建repo从别的地方获取 git clone git://git.kernel.org/pub/scm/git/git.git 自己 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGEwVV3.html" rel="bookmark" class="title">802&period;1Q VLAN技术原理</a>
					<div>
						文章出处:http://hi.baidu.com/x278384/item/d56b0edfd4f56a4eddf9be79 在数据通信和宽带接入设备里,只要涉及到二层技术的,就会遇到VLAN.而且, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M6NZ7yM.html" rel="bookmark" class="title">VendorNPC&period;lua  --随身商人</a>
					<div>
						print(&quot;&gt;&gt;Script: More Vendor NPC.&quot;) local NPCID    =    190099local NPCNAME=&quot;随身 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0R8RJj4.html" rel="bookmark" class="title">2&period;创建子域</a>
					<div>
						这个实验紧接着创建根域的实验 来创建根域下的子域 步骤其实和创建根域的大致相同 1.       更改计算机名 2.       修改本地网络 3.       创建根域下的子域 至此,第二个实验结束 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0j7ljA3.html" rel="bookmark" class="title">Directx10 龙书笔记- 第7章课后题 实现火焰动画</a>
					<div>
						火焰的图片我是没找到,找到了几张雷电的,就在d3dcoder.net 的directx10那本书代码下载的Bolt Animations for Chapter 9  里面 里面很多张图片,由于c++ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MX7OVG4.html" rel="bookmark" class="title">&lbrack;leetcode-322-Coin Change&rsqb;</a>
					<div>
						You are given coins of different denominations and a total amount of money amount. Write a function  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0KqeaK4.html" rel="bookmark" class="title">《avascript 高级程序设计（第三版）》 ---第三章 基本概念2</a>
					<div>
						1.乘性操作符: 1)*法操作法: Infinity * 0 = NaN  Infinity * 非零 = Infinity 或 - Infinity   2)/法操作符: Infinity / In ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZDv6dM.html" rel="bookmark" class="title">Android Studio中恢复移除的Module</a>
					<div>
						如果解除Module与AS的关系,此时还没有点击delete彻底删除该Module,如何恢复这个已经被移除的Module呢? 编辑settings.gradle,添加Module名,再sycn即可.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41BlKvM.html" rel="bookmark" class="title">NSUserDefaults 简介</a>
					<div>
						NSUserDefaults适合存储轻量级的本地数据,一些简单的数据(NSString类型的)例如密码,网址等,NSUserDefaults肯定是首选,但是如果我们自定义了一个对象,对象保存的是一些信 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41zBqgM.html" rel="bookmark" class="title">【转】PostgreSQL中表名、字段名大小写问题</a>
					<div>
						学习hibernate的时候,数据库用了PostgreSQL,第一节课就抛错,User实体映射没有死活不能导出表.总是提示这一句: ERROR: syntax error at or near &qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MV7vay0.html" rel="bookmark" class="title">Oracle的DBV工具</a>
					<div>
						DBV(DBVERIFY)是Oracle提供的一个命令行工具,它可以对数据文件物理和逻辑两种一致性检查.但是这个工具不会检查索引记录和数据记录的匹配关系,这种检查必须使用analyze validat ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0KZpBwM.html" rel="bookmark" class="title">slim</a>
					<div>
						Slim 是一个非常优雅的 PHP 微框架,非常适合做API,支持多种http请求方式,比如get,post,delete,put等 安装使用Composer composer require sli ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0ekeD54.html" rel="bookmark" class="title">C&num;语言课程10月31日</a>
					<div>
						1.方程ax2+bx+c=0;一元二次方程.求根△=b2-4ac;若△&lt;0方程无实根△&gt;0,方程有两个不相同的实根x1 x2若△=0,方程有两个相同的实根x=(-b加减根号下b*b-4ac ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pLvgg4.html" rel="bookmark" class="title">android中Handler中的obtainMessage&lpar;&rpar;</a>
					<div>
						public final Message obtainMessage (int what, int arg1, int arg2, Object obj)这里面的4个参数求解释啊... byte[]  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4JvYbQ4.html" rel="bookmark" class="title">《一个程序员的生命周期》&mdash;&mdash;有感</a>
					<div>
						&lt;一个程序员的生命周期&gt;这篇连载文章真的很赞.我分了两个时间段才读完,昨晚十二点半花了半个小时看到第12篇,今天早上起床后又花了二十五分钟把剩余的看了.我没有一口气读完这文章,这并不是说这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35rYrv4.html" rel="bookmark" class="title">火星人的真实故事（3）</a>
					<div>
						1993年上半年,北大校产办把火星人的总部安排在北京大学化学北楼一层,电话经由北大总机2561166转2501236. 研发&lt;邓选&gt;电子图书需要一定的客观条件,火星人必须为自己找一个&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0KvkvYM.html" rel="bookmark" class="title">如何在使用itext生成pdf文档时给文档添加背景图片</a>
					<div>
						这个问题我在网上搜了很久,没有找到什么解决方案,需求其实很简单,就是添加背景图片.在解决这个问题之前,我们需要了解什么是背景图片?背景图片就是位于文档最底层的图片,文字和其他内容可以浮在它的上面.这又 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.031 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
